services:
    admin.homework:
        class: App\Admin\HomeworkAdmin
        arguments: [~, App\Entity\Homework, App\Controller\Admin\HomeworkAdminController]
        calls:
            - [ setTemplate, [ 'edit', 'admin/Homework/edithomework.html.twig' ] ]
            - [ addChild, ['@admin.conversation_homework', 'homework']]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: admin.cours.nomexmaison }
        public: true

    admin.conversation_homework:
        class: App\Admin\ConversationhomeworkAdmin
        arguments: [~, App\Entity\Conversationhomework, App\Controller\Admin\ConversationhomeworkAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Conversation Exercice de maison }
        public: true

    admin.message_homework:
        class: App\Admin\MessageHomeworkAdmin
        arguments: [~, App\Entity\MessageHomework, App\Controller\Admin\MessageHomeworkAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Message Exercice de maison }
        public: true
